# RTI Class Reference
[RTI library (normative API).]

`#include <RTI.hh>`

List of all members.

## Public Types
enum | Boolean { RTI_FALSE = 0, RTI_TRUE }
enum | ResignAction { RELEASE_ATTRIBUTES = 1, DELETE_OBJECTS, DELETE_OBJECTS_AND_RELEASE_ATTRIBUTES, NO_ACTION }
typedef unsigned short | UShort
typedef short | Short
typedef unsigned long | ULong
typedef long | Long
typedef double | Double
typedef float | Float
typedef FederateAmbassador * | FederateAmbassadorPtr
typedef Long | SpaceHandle
typedef ULong | ObjectClassHandle
typedef ULong | InteractionClassHandle
typedef ULong | ExtentIndex
typedef ULong | Handle
typedef Handle | AttributeHandle
typedef Handle | ParameterHandle
typedef Handle | ObjectHandle
typedef Handle | DimensionHandle
typedef ULong | FederateHandle
typedef Handle | TransportationHandle
typedef TransportationHandle | TransportType
typedef Handle | OrderingHandle
typedef OrderingHandle | OrderType
typedef ULong | FederateID
typedef ULong | UniqueID
typedef Double | TickTime
typedef ULong | RegionToken
typedef struct EventRetractionHandle_s | EventRetractionHandle
## Classes
class | AttributeHandleSet
class | AttributeHandleSetFactory
class | AttributeHandleValuePairSet
class | AttributeSetFactory
struct | EventRetractionHandle_s
class | Exception
class | FederateAmbassador
class | FederateHandleSet
class | FederateHandleSetFactory
class | FedTime
class | FedTimeFactory
class | ParameterHandleValuePairSet
class | ParameterSetFactory
class | Region
class | RTIambassador

## Detailed Description

Definition at line 47 of file RTI.hh.

## Member Typedef Documentation

typedef unsigned short UShort

Definition at line 52 of file RTI.hh.

typedef short Short

Definition at line 53 of file RTI.hh.

typedef unsigned long ULong

Definition at line 58 of file RTI.hh.

typedef long Long

Definition at line 59 of file RTI.hh.

typedef double Double

Definition at line 61 of file RTI.hh.

typedef float Float

Definition at line 62 of file RTI.hh.

typedef FederateAmbassador* FederateAmbassadorPtr

Definition at line 220 of file RTI.hh.

typedef Long SpaceHandle

Definition at line 223 of file RTI.hh.

typedef ULong ObjectClassHandle

Definition at line 224 of file RTI.hh.

typedef ULong InteractionClassHandle

Definition at line 225 of file RTI.hh.

typedef ULong ExtentIndex

Definition at line 226 of file RTI.hh.

typedef ULong Handle

Definition at line 227 of file RTI.hh.

typedef Handle AttributeHandle

Definition at line 228 of file RTI.hh.

typedef Handle ParameterHandle

Definition at line 229 of file RTI.hh.

typedef Handle ObjectHandle

Definition at line 230 of file RTI.hh.

typedef Handle DimensionHandle

Definition at line 231 of file RTI.hh.

typedef ULong FederateHandle

Definition at line 232 of file RTI.hh.

typedef Handle TransportationHandle

Definition at line 233 of file RTI.hh.

typedef TransportationHandle TransportType

Definition at line 234 of file RTI.hh.

typedef Handle OrderingHandle

Definition at line 235 of file RTI.hh.

typedef OrderingHandle OrderType

Definition at line 236 of file RTI.hh.

typedef ULong FederateID

Definition at line 237 of file RTI.hh.

typedef ULong UniqueID

Definition at line 238 of file RTI.hh.

typedef Double TickTime

Definition at line 239 of file RTI.hh.

typedef ULong RegionToken

Definition at line 240 of file RTI.hh.

typedef struct EventRetractionHandle_s EventRetractionHandle`[read]`

Definition at line 487 of file RTI.hh.

## Member Enumeration Documentation

enum Boolean

Enumerator:

  RTI_FALSE |
  RTI_TRUE |

Definition at line 64 of file RTI.hh.

enum ResignAction

Enumerator:

  RELEASE_ATTRIBUTES |
  DELETE_OBJECTS |
  DELETE_OBJECTS_AND_RELEASE_ATTRIBUTES |
  NO_ACTION |

Definition at line 212 of file RTI.hh.

The documentation for this class was generated from the following file:

- RTI.hh